@charset "UTF-8";
.fsjs-skin {
  transition: opacity 0.2s ease-out;
  opacity: 0;
  /* The bare minimum styling applied to all demo Fontsamplers */
  /**
   * A customized and trimmed down version of the rangeSlider.js SCSS
   */
}
.fsjs-label {
  font-family: 'Vinila Regular', Arial, Helvetica, sans-serif;
  font-size: 18px;
  margin-bottom: 16px;
}

.fsjs-skin.fsjs-initialized {
  opacity: 1;
  display: block;
}
.fsjs-skin .fsjs-block-tester {
  transition: opacity 0.2s ease-out;
  opacity: 1;
}
.fsjs-skin.fsjs-loading .fsjs-block-tester,
.fsjs-skin.fsjs-timeout .fsjs-block-tester {
  opacity: 0;
  display: none;
}
#demo .fsjs-wrapper {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 28px;
}

#demomob .fsjs-wrapper {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 28px;
}

#demovar .fsjs-wrapper {
  display: grid;
  grid-template-columns: repeat(4, 1fr) 150px;
  gap: 28px;
}

.fsjs-skin .fsjs-block-tester {
  display: block;
  display: none;
}

.fsjs-block-tester {
  padding: 120px 0 120px 0 !important;
  display: none;
}

.fsjs-skin .fsjs-block,
.fsjs-skin [data-axis-block] {
  box-sizing: border-box;
  position: relative;
  width: 100%;
}
.fsjs-skin [data-axis-block] {
  margin-top: 0;
  margin-bottom: 0;
}
.fsjs-skin .fsjs-label {
  line-height: 1.5em;
}
.fsjs-skin .fsjs-block-type-slider .fsjs-label,
.fsjs-skin .fsjs-block-type-slidergroup .fsjs-label {
  display: flex;
  justify-content: flex-end;
  width: 100%;
}
.fsjs-skin .fsjs-block-type-slider .fsjs-label span:first-child,
.fsjs-skin .fsjs-block-type-slidergroup .fsjs-label span:first-child {
  margin-right: auto;
}
.fsjs-skin .fsjs-block-type-slider .fsjs-label .fsjs-label-unit:before,
.fsjs-skin .fsjs-block-type-slidergroup .fsjs-label .fsjs-label-unit:before {
  content: ' ';
}
.fsjs-skin .fsjs-block-opentype .fsjs-label {
  display: block;
  justify-content: flex-start;
}
.fsjs-skin [contenteditable] {
  outline: none;
}
.fsjs-skin .fsjs-button,
.fsjs-skin .fsjs-block-type-buttongroup button {
  background: #fdfdfd;
  border: 1px solid #b3b3b3;
  border-radius: 2px;
  color: inherit;
  cursor: pointer;
  flex-grow: 1;
  font-family: inherit;
  font-size: inherit;
  font-style: inherit;
  line-height: 2em;
  padding: 0.1em 0.5em 0;
}
.fsjs-skin .fsjs-button:hover,
.fsjs-skin .fsjs-block-type-buttongroup button:hover,
.fsjs-skin .fsjs-button:focus,
.fsjs-skin .fsjs-block-type-buttongroup button:focus {
  background: #f0f0f0;
}
.fsjs-skin .fsjs-button.fsjs-button-selected,
.fsjs-skin .fsjs-block-type-buttongroup button.fsjs-button-selected {
  background: #f0f0f0;
}
.fsjs-skin .fsjs-block-type-buttongroup > [data-property] {
  display: flex;
}
.fsjs-skin .fsjs-block-type-buttongroup button {
  border-radius: 0;
}
.fsjs-skin .fsjs-block-type-buttongroup button:first-of-type {
  border-top-left-radius: 2px;
  border-bottom-left-radius: 2px;
}
.fsjs-skin .fsjs-block-type-buttongroup button:last-of-type {
  border-top-right-radius: 2px;
  border-bottom-right-radius: 2px;
}
.fsjs-skin .fsjs-block-type-buttongroup button + button {
  margin-left: -1px;
}
.fsjs-skin .fsjs-block-type-checkboxes [data-fsjs] label {
  cursor: pointer;
  padding: 5px 0;
  display: block;
}
.fsjs-skin
  .fsjs-block-type-checkboxes
  [data-fsjs]
  label:hover
  input[type='checkbox']
  + span:before,
.fsjs-skin
  .fsjs-block-type-checkboxes
  [data-fsjs]
  label:focus
  input[type='checkbox']
  + span:before {
  background: #f0f0f0;
}
.fsjs-skin .fsjs-block-type-checkboxes input[type='checkbox'] {
  position: absolute;
  width: 1px;
  height: 1px;
  overflow: hidden;
  opacity: 0;
}
.fsjs-skin .fsjs-block-type-checkboxes label.fsjs-checkbox-inactive {
  pointer-events: none;
  color: #ddd;
}
.fsjs-skin
  .fsjs-block-type-checkboxes
  label.fsjs-checkbox-inactive
  input[type='checkbox']
  + span:before,
.fsjs-skin
  .fsjs-block-type-checkboxes
  label.fsjs-checkbox-inactive
  input[type='checkbox']
  + span:after {
  border-color: #ddd;
}
.fsjs-skin
  .fsjs-block-type-checkboxes
  label.fsjs-checkbox-inactive
  input[type='checkbox']:checked
  + span:after {
  background: #ddd;
}
.fsjs-skin .fsjs-block-type-checkboxes input[type='checkbox'] + span {
  position: relative;
  padding-left: 23px;
}
.fsjs-skin .fsjs-block-type-checkboxes input[type='checkbox'] + span:before,
.fsjs-skin .fsjs-block-type-checkboxes input[type='checkbox'] + span:after {
  content: ' ';
  display: block;
  border: 1px solid #333;
  border-radius: 2px;
  position: absolute;
  left: 0;
  top: -2px;
  padding: 4px;
  height: 10px;
  width: 10px;
}
.fsjs-skin
  .fsjs-block-type-checkboxes
  input[type='checkbox']:checked
  + span:after {
  border-radius: 0;
  background: #333;
  padding: 0;
  top: 2px;
  left: 4px;
}
.fsjs-skin .dk-select,
.fsjs-skin .dk-select *,
.fsjs-skin .dk-select *:before,
.fsjs-skin .dk-select *:after,
.fsjs-skin .dk-select-multi,
.fsjs-skin .dk-select-multi *,
.fsjs-skin .dk-select-multi *:before,
.fsjs-skin .dk-select-multi *:after {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
.fsjs-skin .dk-select,
.fsjs-skin .dk-select-multi {
  position: relative;
  display: block;
  vertical-align: middle;
  cursor: pointer;
}
.fsjs-skin .dk-selected {
  width: 100%;
  white-space: nowrap;
  overflow: hidden;
  position: relative;
  background-color: #fdfdfd;
  border: 1px solid #b3b3b3;
  border-radius: 2px;
  padding: 0.1em 0.5em 0;
  padding-right: 1.5em;
  line-height: 2em;
  -o-text-overflow: ellipsis;
  text-overflow: ellipsis;
}
.fsjs-skin .dk-selected:before,
.fsjs-skin .dk-selected:after {
  content: '';
  display: block;
  position: absolute;
  right: 0;
}
.fsjs-skin .dk-selected:before {
  top: 50%;
  border: solid transparent;
  border-width: 0.25em 0.25em 0;
  border-top-color: #333;
  margin: -0.125em 0.5em 0 0;
}
.fsjs-skin .dk-selected:after {
  top: 0;
  height: 100%;
  border-left: 1px solid #b3b3b3;
  margin: 0 1.5em 0 0;
}
.fsjs-skin .dk-selected-disabled {
  color: #bbbbbb;
}
.fsjs-skin .dk-select .dk-select-options {
  position: absolute;
  display: none;
  left: 0;
  right: 0;
}
.fsjs-skin .dk-select-open-up .dk-select-options {
  border-radius: 2px 2px 0 0;
  margin-bottom: -1px;
  bottom: 100%;
}
.fsjs-skin .dk-select-open-down .dk-select-options {
  border-radius: 0 0 2px 2px;
  margin-top: -1px;
  top: 100%;
}
.fsjs-skin .dk-select-multi .dk-select-options {
  max-height: 10em;
}
.fsjs-skin .dk-select-options {
  background-color: white;
  border: 1px solid #b3b3b3;
  border-radius: 2px;
  list-style: none;
  margin: 0;
  max-height: 75vh;
  overflow-x: hidden;
  overflow-y: auto;
  padding: 0;
  width: auto;
  z-index: 100;
}
.fsjs-skin .dk-select-options-highlight .dk-option-selected {
  background-color: transparent;
  color: inherit;
}
.fsjs-skin .dk-option {
  padding: 0.1em 0.5em 0;
  line-height: 2em;
}
.fsjs-skin .dk-select-options .dk-option-highlight {
  background-color: #f0f0f0;
}
.fsjs-skin .dk-select-options .dk-option-disabled {
  color: #bbbbbb;
  background-color: transparent;
}
.fsjs-skin .dk-select-options .dk-option-hidden {
  display: none;
}
.fsjs-skin .dk-select-open-up .dk-select-options,
.fsjs-skin .dk-select-open-down .dk-select-options,
.fsjs-skin .dk-select-multi:focus .dk-select-options {
  display: block;
}
.fsjs-skin .dk-selected:hover,
.fsjs-skin .dk-selected:focus {
  outline: none;
  background: #f0f0f0;
}
.fsjs-skin .dk-select-disabled {
  opacity: 0.6;
  color: #bbbbbb;
  cursor: not-allowed;
}
.fsjs-skin .dk-select-disabled .dk-selected:hover,
.fsjs-skin .dk-select-disabled .dk-selected:focus {
  border-color: inherit;
}
.fsjs-skin .dk-select-disabled .dk-selected:hover:before,
.fsjs-skin .dk-select-disabled .dk-selected:focus:before {
  border-top-color: inherit;
}
.fsjs-skin .dk-select-disabled .dk-selected:hover:after,
.fsjs-skin .dk-select-disabled .dk-selected:focus:after {
  border-left-color: inherit;
}
.fsjs-skin select[data-dkcacheid] {
  display: none;
}
.fsjs-skin .rangeSlider {
  margin: 0.5em auto;
}
.fsjs-skin .rangeSlider,
.fsjs-skin .rangeSlider__fill {
  display: block;
  border-radius: 2px;
}
.fsjs-skin .rangeSlider {
  position: relative;
  background: #b3b3b3;
}
.fsjs-skin .rangeSlider__horizontal {
  height: 2px;
  width: 100%;
}
.fsjs-skin .rangeSlider--disabled {
  filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=40);
  opacity: 0.4;
}
.fsjs-skin .rangeSlider__fill {
  background: #b3b3b3;
  position: absolute;
}
.fsjs-skin .rangeSlider__fill__horizontal {
  height: 100%;
  top: 0;
  left: 0;
}
.fsjs-skin .rangeSlider__handle {
  cursor: pointer;
  display: inline-block;
  width: 24px;
  height: 24px;
  position: absolute;
  background: #333;
  border-radius: 50%;
  left: 0;
}
.fsjs-skin .rangeSlider__handle__horizontal {
  top: -12px;
}
.fsjs-skin .rangeSlider__handle:after {
  content: '';
  display: block;
  width: 20px;
  height: 20px;
  margin: auto;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 0%);
  background: transparent;
  border-radius: 50%;
}
.fsjs-skin .fsjs-disabled .fsjs-label {
  color: #ddd;
}
.fsjs-skin .fsjs-disabled .rangeSlider {
  pointer-events: none;
  background-color: #ddd;
}
.fsjs-skin .fsjs-disabled .rangeSlider .rangeSlider__handle,
.fsjs-skin .fsjs-disabled .rangeSlider .rangeSlider__fill {
  background-color: #ddd;
}
.fsjs-skin .fsjs-disabled .dk-select .dk-selected {
  color: #ddd;
}
.fsjs-skin [data-fsjs-block='variation'] {
  display: none;
}
@supports (font-variation-settings: normal) {
  .fsjs-skin [data-fsjs-block='variation'] {
    display: block;
  }
}

div [data-axis-block='opzl'] {
  display: none;
}

#demovar .fsjs-element {
  display: flex;
  gap: 24px;
}

#demovarmob .fsjs-element {
  display: flex;
  gap: 24px;
  flex-direction: column;
}

/* CORES */

.white .rangeSlider {
  background-color: var(--white);
}

.white .rangeSlider__handle {
  background-color: var(--white);
}

.white .rangeSlider__fill {
  background-color: var(--white);
}

.white .fsjs-button-selected {
  background: var(--white) !important;
  color: var(--black) !important;
}

.black .rangeSlider {
  background-color: var(--black);
}

.black .rangeSlider__handle {
  background-color: var(--black);
}

.black .rangeSlider__fill {
  background-color: var(--black);
}

.black .fsjs-button-selected {
  background: var(--black) !important;
  color: var(--white) !important;
}

.fsjs-block-fontfamily {
  visibility: hidden;
}

/* ALINHAMENTO */

.fsjs-block-alignment div {
  right: 0;
  bottom: 0px;
  position: absolute;
}

.fsjs-block-alignment button {
  position: relative;
  height: 40px;
  width: 40px;
  border-radius: 99999px !important;
  border: none !important;
  margin-left: 0px !important;
  background-color: transparent !important;
  margin-right: 4px;
}

.fsjs-block-alignment button:last-child {
  margin-right: 0px;
}

.fsjs-block-alignment button:nth-child(1)::before {
  content: 'format_align_left';
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 24px;
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.fsjs-block-alignment button:nth-child(2)::before {
  content: 'format_align_center';
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 24px;
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.fsjs-block-alignment button:nth-child(3)::before {
  content: 'format_align_right';
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 24px;
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#demovar .fsjs-block-fontfamily {
  display: none;
}

#demovar {
  position: relative;
}

#demovar .fsjs-block-variation {
  grid-column: 2/4;
}

@media (max-width: 1023px) {
  #demo .fsjs-wrapper {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
    position: relative;
  }

  #demomob {
    position: relative;
  }

  #demomob .fsjs-wrapper {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
    position: relative;
  }

  #demomob .fsjs-block-lineheight {
    display: none;
  }

  #demovarmob {
    position: relative;
  }

  #demovarmob .fsjs-block-lineheight {
    display: none;
  }

  #demovar .fsjs-wrapper {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
    position: relative;
  }

  #demovarmob .fsjs-wrapper {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
    position: relative;
  }

  .fsjs-block-alignment {
    position: absolute !important;
    top: 56px;
  }

  #demovar .fsjs-block-alignment {
    position: absolute !important;
    top: -8px;
  }

  #demovarmob .fsjs-block-alignment {
    position: absolute !important;
  }

  #demovar .fsjs-block-variation {
    grid-column: auto;
  }

  #demovarmob .fsjs-block-variation {
    grid-column: auto;
  }
}
